Summary  : Flat-file database with motif interface.
Name     : xmbase-grok
Version  : 1.4.1
Release  : 1
Group    : Applications/Database
URL      : http://www.in-berlin.de/User/bitrot/grok.html
Source0  : ftp://ftp.x.org/contrib/applications/xmbase-grok-%{PACKAGE_VERSION}.tar.gz
Patch0   : xmbase-grok.patch
Copyright: distributable
Icon     : Grok.xpm
BuildRoot: /tmp/xmbase-grok-root
Packager : Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
Requires : perl, /bin/sh
%description
xmbase-grok, is a simple database manager and UI builder that can -
  *  keep phone and address lists (like a rolodex)
  *  store phone call logs
  *  keep todo lists
  *  manage any other database after simple GUI-driven customization
  *  customized data export, HTML export built in

%prep
%setup
%patch -p1

%build
xmkmf -a
make
make Manual.ps

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/X11R6/{bin,share/grok/grokdir,/man/man1}
install -d $RPM_BUILD_ROOT/usr/X11R6/include/X11/{3dpixmaps,bitmaps}

install -s grok $RPM_BUILD_ROOT/usr/X11R6/bin
install grok.hlp $RPM_BUILD_ROOT/usr/X11R6/share/grok
install grokdir/* $RPM_BUILD_ROOT/usr/X11R6/share/grok/grokdir/
install bm_icon.h $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps
install grok.xpm $RPM_BUILD_ROOT/usr/X11R6/share/grok

install Grok.icon $RPM_BUILD_ROOT/usr/X11R6/include/X11/3dpixmaps
install grok.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/grok.1x

%files
%doc README  HISTORY Manual.ps
%attr(755, root, root) %dir /usr/X11R6/share/grok/
%attr(755, root, root) %dir /usr/X11R6/share/grok/grokdir

%attr(755, root, root) /usr/X11R6/bin/grok
%attr(644, root, root) /usr/X11R6/share/grok/grok.hlp
%attr(644, root, root) /usr/X11R6/share/grok/grok.xpm
%attr(644, root, root) /usr/X11R6/share/grok/grokdir/*.gf
%attr(644, root, root) /usr/X11R6/share/grok/grokdir/*.db
%attr(755, root, root) /usr/X11R6/share/grok/grokdir/*.pl
%attr(755, root, root) /usr/X11R6/share/grok/grokdir/procdemo
%attr(644, root, man)  /usr/X11R6/man/man1/*
%attr(644, root, root) /usr/X11R6/include/X11/bitmaps/bm_icon.h
%attr(644, root, root) /usr/X11R6/include/X11/3dpixmaps/*

%changelog
* Sun Jul 27 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- new version 1.4.1,
  From relaease notes:
  version 1.4.1, released 9.7.97
  * new date and time string to number conversion functions in the grammar
  * new general character-to-string translation operator "tr" in the grammar
  * new variables A..Z that are not cleared when switching databases
  * new database field assignment functions
  * grok sometimes crashed after creating a new form before data is entered
  * fixed export expressions, it was difficult to put newlines into templates
  * sometimes misinterpreted the time part of date/time fields in data files
- removed gziping man pages,
- removed "Excludearch: i386",
- added:
  - %%{PACKAGE_VERSION} macro to Source,
  - URL,
  - %attr in %files (allow build package from non root account),
  - some simplification in %files,
  - Requires: perl, /bin/sh (for grok examples),
- fixed: 
  - path to perl in biblio.mktex.pl,
  - instaling examples in /usr/X11R6/share/grok/grokdir.
* Tue Mar 17 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- new version 1.4,
  From relaease notes:
  version 1.4, released 5.2.97
  - new form editor fields for plan calendar interface (needs plan 1.6)
  - sort pulldown supports reverse sort
  - the database is resorted automatically whenever the database changes
  - optional automatic queries whenever the database changes
  - summary always shows current database state, even while adding cards
  - database and section pulldowns are now sorted
  - new system database, by Mike Dotson <dotson@drcpdx.stt3.com>
  - new workplan database
  - query dialog shows available fields in a scroll window to reduce width
  - cards can now be added without selecting a section (if available) first
  - exporting to HTML data-only lists no longer crashes or repeats strings,
- added gziping man pages,
- rewrited spec file for using BuildRoot field.
- added icon Grok.icon to /usr/X11R6/include/X11/3dpixmaps.
